/*
 *  calendarWindow.h
 *  OSXmoontool
 *
 * Copyright (c) 2005 Thomas Siemion
 * dev@siemion.de
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */


#include <Carbon/Carbon.h>

typedef struct
	{
	long		min;
	long		max;
	long		currentValue;
	int			linesPerPage;
	float		viewPosX;
	float		viewPosY;
	float		viewWidth;
	float		viewHeight;
	} cw_scroll_data;



OSStatus calendarPrefWindow ( void);
int drawTextLine ( CGContextRef context, cw_scroll_data *sd, int lineNr, int drawLine, char *text, int phase, int mini);
static pascal void calendarScrollFunc (ControlHandle control, SInt16 part);
void updateCalenderWindow ( cw_scroll_data *sd);
void *fillDataList ( void *din);
int handleCaledarContextMenu ( short xPos, short yPos);

int cwf_kurveNeumond ( void);
int cwf_kurveVollmond ( void);
int cwf_kurveVollNeumond ( void);
int cwf_scrollToday ( void);
int cwf_showFontDialog ( void);
int cwf_up ( void);
int cwf_down ( void);
int cwf_pgUp ( void);
int cwf_pgDown ( void);
int cwf_home ( void);
int cwf_end ( void);

int cwf_getScrollData ( cw_scroll_data *sd);
int cwf_setScrollData ( cw_scroll_data *sd);

